Bug 1609098 - [CentOS 7] supermin init process segfaults at boot
Summary: [CentOS 7] supermin init process segfaults at boot
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: supermin
Version: 7.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Richard W.M. Jones
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-27 02:42 UTC by zhujinhe
Modified: 2018-08-09 07:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-09 07:12:21 UTC
Target Upstream Version:


Attachments (Terms of Use)
strace.log (400.19 KB, text/plain)
2018-07-27 11:55 UTC, zhujinhe
no flags Details

Description zhujinhe 2018-07-27 02:42:24 UTC
Description of problem:
Error occured when translating xen windown2003 image to kvm.
virt-v2v  -v -x -i libvirtxml instance-00000015.xml -o local -of raw -os /data/image
Version-Release number of selected component (if applicable):

xen server: 
Linux version 2.6.18.8-xen3.4-xen (gcc version 4.1.2 20080704 (Red Hat 4.1.2-46)) #1 SMP Fri Apr 15 19:41:19 CST 2016

translate server:
CentOS Linux release 7.1.1503 (Core)
Disk: /dev/mapper/VolGroup00-Vol_data /data ext4 rw,relatime,data=ordered 0 0
glibc version:
[root@rg1-ceph1 /data]# rpm -qa | grep glibc
glibc-2.17-222.el7.x86_64
glibc-common-2.17-222.el7.x86_64
glibc-headers-2.17-222.el7.x86_64
glibc-2.17-222.el7.i686
glibc-devel-2.17-222.el7.x86_64

virt-v2v version:
[root@rg1-ceph1 /data]# rpm -qa | grep virt
libvirt-daemon-driver-secret-3.9.0-14.el7_5.5.x86_64
libvirt-daemon-driver-storage-disk-3.9.0-14.el7_5.5.x86_64
libvirt-daemon-kvm-3.9.0-14.el7_5.5.x86_64
libvirt-daemon-driver-storage-scsi-3.9.0-14.el7_5.5.x86_64
virtio-win-0.1.141-1.noarch
libvirt-daemon-3.9.0-14.el7_5.5.x86_64
libvirt-daemon-driver-nodedev-3.9.0-14.el7_5.5.x86_64
libvirt-daemon-driver-storage-core-3.9.0-14.el7_5.5.x86_64
libvirt-daemon-driver-storage-rbd-3.9.0-14.el7_5.5.x86_64
libvirt-daemon-driver-storage-gluster-3.9.0-14.el7_5.5.x86_64
libvirt-daemon-driver-network-3.9.0-14.el7_5.5.x86_64
libvirt-libs-3.9.0-14.el7_5.5.x86_64
libvirt-daemon-driver-storage-iscsi-3.9.0-14.el7_5.5.x86_64
libvirt-daemon-driver-qemu-3.9.0-14.el7_5.5.x86_64
libvirt-daemon-driver-storage-3.9.0-14.el7_5.5.x86_64
libvirt-daemon-driver-interface-3.9.0-14.el7_5.5.x86_64
virt-what-1.13-5.el7.x86_64
libvirt-daemon-driver-storage-logical-3.9.0-14.el7_5.5.x86_64
virt-v2v-1.36.10-6.el7_5.2.x86_64
libvirt-client-3.9.0-14.el7_5.5.x86_64
libvirt-daemon-driver-nwfilter-3.9.0-14.el7_5.5.x86_64
libvirt-daemon-driver-storage-mpath-3.9.0-14.el7_5.5.x86_64

virt-v2v --version
virt-v2v 1.36.10rhel=7,release=6.el7_5.2,libvirt

How reproducible:
100%

Steps to Reproduce:
1.
2.
3.

Actual results:


[root@rg1-ceph1 /data]# virt-v2v -i libvirtxml instance-00000015.xml -o local -of raw -os /data/image
libguestfs: trace: set_verbose true
libguestfs: trace: set_verbose = 0
libguestfs: create: flags = 0, handle = 0x2180820, program = virt-v2v
libguestfs: trace: get_cachedir
libguestfs: trace: get_cachedir = "/var/tmp"
libguestfs: trace: set_verbose true
libguestfs: trace: set_verbose = 0
libguestfs: create: flags = 0, handle = 0x2180cb0, program = virt-v2v
libguestfs: trace: get_cachedir
libguestfs: trace: get_cachedir = "/var/tmp"
[   0.0] Opening the source -i libvirtxml instance-00000015.xml
[   0.0] Creating an overlay to protect the source from being modified
libguestfs: trace: set_verbose true
libguestfs: trace: set_verbose = 0
libguestfs: create: flags = 0, handle = 0x2191240, program = virt-v2v
libguestfs: trace: disk_has_backing_file "/var/tmp/v2vovl4a6f15.qcow2"
libguestfs: command: run: qemu-img
libguestfs: command: run: \ info
libguestfs: command: run: \ --output json
libguestfs: command: run: \ /dev/fd/4
libguestfs: parse_json: qemu-img info JSON output:\n{\n    "virtual-size": 42949672960,\n    "filename": "/dev/fd/4",\n    "cluster-size": 65536,\n    "format": "qcow2",\n    "actual-size": 200704,\n    "format-specific": {\n        "type": "qcow2",\n        "data": {\n            "compat": "1.1",\n            "lazy-refcounts": false,\n            "refcount-bits": 16,\n            "corrupt": false\n        }\n    },\n    "full-backing-filename": "/data/instance-00000015-disk1",\n    "backing-filename": "/data/instance-00000015-disk1",\n    "dirty-flag": false\n}\n\n
libguestfs: trace: disk_has_backing_file = 1
libguestfs: trace: set_verbose true
libguestfs: trace: set_verbose = 0
libguestfs: create: flags = 0, handle = 0x2193fb0, program = virt-v2v
libguestfs: trace: disk_virtual_size "/var/tmp/v2vovl4a6f15.qcow2"
libguestfs: command: run: qemu-img
libguestfs: command: run: \ info
libguestfs: command: run: \ --output json
libguestfs: command: run: \ /dev/fd/4
libguestfs: parse_json: qemu-img info JSON output:\n{\n    "virtual-size": 42949672960,\n    "filename": "/dev/fd/4",\n    "cluster-size": 65536,\n    "format": "qcow2",\n    "actual-size": 200704,\n    "format-specific": {\n        "type": "qcow2",\n        "data": {\n            "compat": "1.1",\n            "lazy-refcounts": false,\n            "refcount-bits": 16,\n            "corrupt": false\n        }\n    },\n    "full-backing-filename": "/data/instance-00000015-disk1",\n    "backing-filename": "/data/instance-00000015-disk1",\n    "dirty-flag": false\n}\n\n
libguestfs: trace: disk_virtual_size = 42949672960
libguestfs: trace: set_verbose true
libguestfs: trace: set_verbose = 0
libguestfs: create: flags = 0, handle = 0x21942f0, program = virt-v2v
libguestfs: trace: disk_has_backing_file "/var/tmp/v2vovlbe8ea9.qcow2"
libguestfs: command: run: qemu-img
libguestfs: command: run: \ info
libguestfs: command: run: \ --output json
libguestfs: command: run: \ /dev/fd/4
libguestfs: parse_json: qemu-img info JSON output:\n{\n    "virtual-size": 268435456000,\n    "filename": "/dev/fd/4",\n    "cluster-size": 65536,\n    "format": "qcow2",\n    "actual-size": 200704,\n    "format-specific": {\n        "type": "qcow2",\n        "data": {\n            "compat": "1.1",\n            "lazy-refcounts": false,\n            "refcount-bits": 16,\n            "corrupt": false\n        }\n    },\n    "full-backing-filename": "/data/instance-00000015-disk2",\n    "backing-filename": "/data/instance-00000015-disk2",\n    "dirty-flag": false\n}\n\n
libguestfs: trace: disk_has_backing_file = 1
libguestfs: trace: set_verbose true
libguestfs: trace: set_verbose = 0
libguestfs: create: flags = 0, handle = 0x219db40, program = virt-v2v
libguestfs: trace: disk_virtual_size "/var/tmp/v2vovlbe8ea9.qcow2"
libguestfs: command: run: qemu-img
libguestfs: command: run: \ info
libguestfs: command: run: \ --output json
libguestfs: command: run: \ /dev/fd/4
libguestfs: parse_json: qemu-img info JSON output:\n{\n    "virtual-size": 268435456000,\n    "filename": "/dev/fd/4",\n    "cluster-size": 65536,\n    "format": "qcow2",\n    "actual-size": 200704,\n    "format-specific": {\n        "type": "qcow2",\n        "data": {\n            "compat": "1.1",\n            "lazy-refcounts": false,\n            "refcount-bits": 16,\n            "corrupt": false\n        }\n    },\n    "full-backing-filename": "/data/instance-00000015-disk2",\n    "backing-filename": "/data/instance-00000015-disk2",\n    "dirty-flag": false\n}\n\n
libguestfs: trace: disk_virtual_size = 268435456000
[   0.9] Initializing the target -o local -os /data/image
[   0.9] Opening the overlay
libguestfs: trace: set_verbose true
libguestfs: trace: set_verbose = 0
libguestfs: create: flags = 0, handle = 0x219df30, program = virt-v2v
libguestfs: trace: set_identifier "v2v"
libguestfs: trace: v2v: set_identifier = 0
libguestfs: trace: v2v: get_memsize
libguestfs: trace: v2v: get_memsize = 500
libguestfs: trace: v2v: set_memsize 2000
libguestfs: trace: v2v: set_memsize = 0
libguestfs: trace: v2v: set_network true
libguestfs: trace: v2v: set_network = 0
libguestfs: trace: v2v: add_drive "/var/tmp/v2vovl4a6f15.qcow2" "format:qcow2" "cachemode:unsafe" "discard:besteffort" "copyonread:true"
libguestfs: trace: v2v: add_drive = 0
libguestfs: trace: v2v: add_drive "/var/tmp/v2vovlbe8ea9.qcow2" "format:qcow2" "cachemode:unsafe" "discard:besteffort" "copyonread:true"
libguestfs: trace: v2v: add_drive = 0
libguestfs: trace: v2v: launch
libguestfs: trace: v2v: get_tmpdir
libguestfs: trace: v2v: get_tmpdir = "/tmp"
libguestfs: trace: v2v: version
libguestfs: trace: v2v: version = <struct guestfs_version = major: 1, minor: 36, release: 10, extra: rhel=7,release=6.el7_5.2,libvirt, >
libguestfs: trace: v2v: get_backend
libguestfs: trace: v2v: get_backend = "libvirt"
libguestfs: launch: program=virt-v2v
libguestfs: launch: identifier=v2v
libguestfs: launch: version=1.36.10rhel=7,release=6.el7_5.2,libvirt
libguestfs: launch: backend registered: unix
libguestfs: launch: backend registered: uml
libguestfs: launch: backend registered: libvirt
libguestfs: launch: backend registered: direct
libguestfs: launch: backend=libvirt
libguestfs: launch: tmpdir=/tmp/libguestfsSPkOAC
libguestfs: launch: umask=0022
libguestfs: launch: euid=0
libguestfs: libvirt version = 3009000 (3.9.0)
libguestfs: guest random name = guestfs-2zwcmbmbg55i8s7k
libguestfs: connect to libvirt
libguestfs: opening libvirt handle: URI = qemu:///system, auth = default+wrapper, flags = 0
libguestfs: successfully opened libvirt handle: conn = 0x219e440
libguestfs: qemu version (reported by libvirt) = 2000000 (2.0.0)
libguestfs: get libvirt capabilities
libguestfs: parsing capabilities XML
libguestfs: trace: v2v: get_backend_setting "force_tcg"
libguestfs: trace: v2v: get_backend_setting = NULL (error)
libguestfs: trace: v2v: get_backend_setting "internal_libvirt_label"
libguestfs: trace: v2v: get_backend_setting = NULL (error)
libguestfs: trace: v2v: get_backend_setting "internal_libvirt_imagelabel"
libguestfs: trace: v2v: get_backend_setting = NULL (error)
libguestfs: trace: v2v: get_backend_setting "internal_libvirt_norelabel_disks"
libguestfs: trace: v2v: get_backend_setting = NULL (error)
libguestfs: build appliance
libguestfs: trace: v2v: get_cachedir
libguestfs: trace: v2v: get_cachedir = "/var/tmp"
libguestfs: begin building supermin appliance
libguestfs: run supermin
libguestfs: command: run: /usr/bin/supermin5
libguestfs: command: run: \ --build
libguestfs: command: run: \ --verbose
libguestfs: command: run: \ --if-newer
libguestfs: command: run: \ --lock /var/tmp/.guestfs-0/lock
libguestfs: command: run: \ --copy-kernel
libguestfs: command: run: \ -f ext2
libguestfs: command: run: \ --host-cpu x86_64
libguestfs: command: run: \ /usr/lib64/guestfs/supermin.d
libguestfs: command: run: \ -o /var/tmp/.guestfs-0/appliance.d
supermin: version: 5.1.19
supermin: rpm: detected RPM version 4.11
supermin: package handler: fedora/rpm
supermin: acquiring lock on /var/tmp/.guestfs-0/lock
supermin: if-newer: output does not need rebuilding
libguestfs: finished building supermin appliance
libguestfs: trace: v2v: disk_create "/tmp/libguestfsSPkOAC/overlay1.qcow2" "qcow2" -1 "backingfile:/var/tmp/.guestfs-0/appliance.d/root" "backingformat:raw"
libguestfs: command: run: qemu-img
libguestfs: command: run: \ create
libguestfs: command: run: \ -f qcow2
libguestfs: command: run: \ -o backing_file=/var/tmp/.guestfs-0/appliance.d/root,backing_fmt=raw
libguestfs: command: run: \ /tmp/libguestfsSPkOAC/overlay1.qcow2
Formatting '/tmp/libguestfsSPkOAC/overlay1.qcow2', fmt=qcow2 size=4294967296 backing_file=/var/tmp/.guestfs-0/appliance.d/root backing_fmt=raw encryption=off cluster_size=65536 lazy_refcounts=off refcount_bits=16
libguestfs: trace: v2v: disk_create = 0
libguestfs: trace: v2v: get_sockdir
libguestfs: trace: v2v: get_sockdir = "/tmp"
libguestfs: set_socket_create_context: getcon failed: (none): Invalid argument [you can ignore this message if you are not using SELinux + sVirt]
libguestfs: clear_socket_create_context: setsockcreatecon failed: NULL: Invalid argument [you can ignore this message if you are not using SELinux + sVirt]
libguestfs: create libvirt XML
libguestfs: trace: v2v: get_cachedir
libguestfs: trace: v2v: get_cachedir = "/var/tmp"
libguestfs: libvirt XML:\n<?xml version="1.0"?>\n<domain type="kvm" xmlns:qemu="http://libvirt.org/schemas/domain/qemu/1.0">\n  <name>guestfs-2zwcmbmbg55i8s7k</name>\n  <memory unit="MiB">2000</memory>\n  <currentMemory unit="MiB">2000</currentMemory>\n  <cpu mode="host-passthrough">\n    <model fallback="allow"/>\n  </cpu>\n  <vcpu>1</vcpu>\n  <clock offset="utc">\n    <timer name="rtc" tickpolicy="catchup"/>\n    <timer name="pit" tickpolicy="delay"/>\n    <timer name="hpet" present="no"/>\n  </clock>\n  <os>\n    <type>hvm</type>\n    <kernel>/var/tmp/.guestfs-0/appliance.d/kernel</kernel>\n    <initrd>/var/tmp/.guestfs-0/appliance.d/initrd</initrd>\n    <cmdline>panic=1 console=ttyS0 edd=off udevtimeout=6000 udev.event-timeout=6000 no_timer_check printk.time=1 cgroup_disable=memory usbcore.nousb cryptomgr.notests tsc=reliable 8250.nr_uarts=1 root=/dev/sdc selinux=0 guestfs_verbose=1 guestfs_network=1 TERM=xterm-256color guestfs_identifier=v2v</cmdline>\n    <bios useserial="yes"/>\n  </os>\n  <on_reboot>destroy</on_reboot>\n  <devices>\n    <rng model="virtio">\n      <backend model="random">/dev/urandom</backend>\n    </rng>\n    <controller type="scsi" index="0" model="virtio-scsi"/>\n    <disk device="disk" type="file">\n      <source file="/var/tmp/v2vovl4a6f15.qcow2"/>\n      <target dev="sda" bus="scsi"/>\n      <driver name="qemu" type="qcow2" cache="unsafe" discard="unmap" copy_on_read="on"/>\n      <address type="drive" controller="0" bus="0" target="0" unit="0"/>\n    </disk>\n    <disk device="disk" type="file">\n      <source file="/var/tmp/v2vovlbe8ea9.qcow2"/>\n      <target dev="sdb" bus="scsi"/>\n      <driver name="qemu" type="qcow2" cache="unsafe" discard="unmap" copy_on_read="on"/>\n      <address type="drive" controller="0" bus="0" target="1" unit="0"/>\n    </disk>\n    <disk type="file" device="disk">\n      <source file="/tmp/libguestfsSPkOAC/overlay1.qcow2"/>\n      <target dev="sdc" bus="scsi"/>\n      <driver name="qemu" type="qcow2" cache="unsafe"/>\n      <address type="drive" controller="0" bus="0" target="2" unit="0"/>\n    </disk>\n    <serial type="unix">\n      <source mode="connect" path="/tmp/libguestfseT0H2c/console.sock"/>\n      <target port="0"/>\n    </serial>\n    <channel type="unix">\n      <source mode="connect" path="/tmp/libguestfseT0H2c/guestfsd.sock"/>\n      <target type="virtio" name="org.libguestfs.channel.0"/>\n    </channel>\n    <controller type="usb" model="none"/>\n    <memballoon model="none"/>\n  </devices>\n  <qemu:commandline>\n    <qemu:env name="TMPDIR" value="/var/tmp"/>\n    <qemu:arg value="-netdev"/>\n    <qemu:arg value="user,id=usernet,net=169.254.0.0/16"/>\n    <qemu:arg value="-device"/>\n    <qemu:arg value="virtio-net-pci,netdev=usernet"/>\n  </qemu:commandline>\n</domain>\n
libguestfs: trace: v2v: get_cachedir
libguestfs: trace: v2v: get_cachedir = "/var/tmp"
libguestfs: command: run: ls
libguestfs: command: run: \ -a
libguestfs: command: run: \ -l
libguestfs: command: run: \ -R
libguestfs: command: run: \ -Z /var/tmp/.guestfs-0
libguestfs: /var/tmp/.guestfs-0:
libguestfs: drwxr-xr-x  root root ?                                .
libguestfs: drwxrwxrwt. root root system_u:object_r:tmp_t:s0       ..
libguestfs: drwxr-xr-x  root root ?                                appliance.d
libguestfs: -rw-r--r--  root root ?                                lock
libguestfs:
libguestfs: /var/tmp/.guestfs-0/appliance.d:
libguestfs: drwxr-xr-x root root ?                                .
libguestfs: drwxr-xr-x root root ?                                ..
libguestfs: -rw-r--r-- qemu qemu ?                                initrd
libguestfs: -rwxr-xr-x qemu qemu ?                                kernel
libguestfs: -rw-r--r-- qemu qemu ?                                root
libguestfs: command: run: ls
libguestfs: command: run: \ -a
libguestfs: command: run: \ -l
libguestfs: command: run: \ -Z /tmp/libguestfseT0H2c
libguestfs: drwxr-xr-x  root root ?                                .
libguestfs: drwxrwxrwt. root root system_u:object_r:tmp_t:s0       ..
libguestfs: srw-rw----  root qemu ?                                console.sock
libguestfs: srw-rw----  root qemu ?                                guestfsd.sock
libguestfs: launch libvirt guest
libguestfs: responding to serial console Device Status Report
\x1b[1;256r\x1b[256;256H\x1b[6n
Google, Inc.
Serial Graphics Adapter 06/09/14
SGABIOS $Id: sgabios.S 8 2010-04-22 00:03:40Z nlaredo $ (mockbuild@) Mon Jun  9 21:33:48 UTC 2014
Term: 80x24
4 0
SeaBIOS (version 1.11.0-2.el7)
Machine UUID 7f9a4ab5-ddb0-48f0-85c7-e92afc1f8fa1


iPXE (http://ipxe.org) 00:05.0 C100 PCI2.10 PnP PMM+7CF94A30+7CEF4A30 C100



Booting from ROM...
\x1b[2J[    0.000000] Initializing cgroup subsys cpuset
[    0.000000] Initializing cgroup subsys cpu
[    0.000000] Initializing cgroup subsys cpuacct
[    0.000000] Linux version 3.18.22-0.0.1.el7.ceph.x86_64 (gcc version 4.8.3 20140911 (Red Hat 4.8.3-9) (GCC) ) #1 SMP Wed Jan 20 15:20:02 CST 2016
[    0.000000] Command line: panic=1 console=ttyS0 edd=off udevtimeout=6000 udev.event-timeout=6000 no_timer_check printk.time=1 cgroup_disable=memory usbcore.nousb cryptomgr.notests tsc=reliable 8250.nr_uarts=1 root=/dev/sdc selinux=0 guestfs_verbose=1 guestfs_network=1 TERM=xterm-256color guestfs_identifier=v2v
[    0.000000] e820: BIOS-provided physical RAM map:
[    0.000000] BIOS-e820: [mem 0x0000000000000000-0x000000000009f7ff] usable
[    0.000000] BIOS-e820: [mem 0x000000000009f800-0x000000000009ffff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000000f0000-0x00000000000fffff] reserved
[    0.000000] BIOS-e820: [mem 0x0000000000100000-0x000000007cffdfff] usable
[    0.000000] BIOS-e820: [mem 0x000000007cffe000-0x000000007cffffff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000feffc000-0x00000000feffffff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fffc0000-0x00000000ffffffff] reserved
[    0.000000] NX (Execute Disable) protection: active
[    0.000000] SMBIOS 2.8 present.
[    0.000000] Hypervisor detected: KVM
[    0.000000] AGP: No AGP bridge found
[    0.000000] e820: last_pfn = 0x7cffe max_arch_pfn = 0x400000000
[    0.000000] x86 PAT enabled: cpu 0, old 0x7040600070406, new 0x7010600070106
[    0.000000] found SMP MP-table at [mem 0x000f63b0-0x000f63bf] mapped at [ffff8800000f63b0]
[    0.000000] Using GB pages for direct mapping
[    0.000000] init_memory_mapping: [mem 0x00000000-0x000fffff]
[    0.000000] init_memory_mapping: [mem 0x7ca00000-0x7cbfffff]
[    0.000000] init_memory_mapping: [mem 0x7c000000-0x7c9fffff]
[    0.000000] init_memory_mapping: [mem 0x00100000-0x7bffffff]
[    0.000000] init_memory_mapping: [mem 0x7cc00000-0x7cffdfff]
[    0.000000] RAMDISK: [mem 0x7cd53000-0x7cfeffff]
[    0.000000] ACPI: Early table checksum verification disabled
[    0.000000] ACPI BIOS Error (bug): A valid RSDP was not found (20140926/tbxfroot-243)
[    0.000000] No NUMA configuration found
[    0.000000] Faking a node at [mem 0x0000000000000000-0x000000007cffdfff]
[    0.000000] NODE_DATA(0) allocated [mem 0x7cd2c000-0x7cd52fff]
[    0.000000] kvm-clock: Using msrs 4b564d01 and 4b564d00
[    0.000000] kvm-clock: cpu 0, msr 0:7ccac001, primary cpu clock
[    0.000000] Zone ranges:
[    0.000000]   DMA      [mem 0x00001000-0x00ffffff]
[    0.000000]   DMA32    [mem 0x01000000-0xffffffff]
[    0.000000]   Normal   empty
[    0.000000] Movable zone start for each node
[    0.000000] Early memory node ranges
[    0.000000]   node   0: [mem 0x00001000-0x0009efff]
[    0.000000]   node   0: [mem 0x00100000-0x7cffdfff]
[    0.000000] Initmem setup node 0 [mem 0x00001000-0x7cffdfff]
[    0.000000] SFI: Simple Firmware Interface v0.81 http://simplefirmware.org
[    0.000000] Intel MultiProcessor Specification v1.4
[    0.000000] MPTABLE: OEM ID: BOCHSCPU
[    0.000000] MPTABLE: Product ID: 0.1
[    0.000000] MPTABLE: APIC at: 0xFEE00000
[    0.000000] Processor #0 (Bootup-CPU)
[    0.000000] IOAPIC[0]: apic_id 0, version 17, address 0xfec00000, GSI 0-23
[    0.000000] Processors: 1
[    0.000000] smpboot: Allowing 1 CPUs, 0 hotplug CPUs
[    0.000000] PM: Registered nosave memory: [mem 0x00000000-0x00000fff]
[    0.000000] PM: Registered nosave memory: [mem 0x0009f000-0x0009ffff]
[    0.000000] PM: Registered nosave memory: [mem 0x000a0000-0x000effff]
[    0.000000] PM: Registered nosave memory: [mem 0x000f0000-0x000fffff]
[    0.000000] e820: [mem 0x7d000000-0xfeffbfff] available for PCI devices
[    0.000000] Booting paravirtualized kernel on KVM
[    0.000000] setup_percpu: NR_CPUS:8192 nr_cpumask_bits:1 nr_cpu_ids:1 nr_node_ids:1
[    0.000000] PERCPU: Embedded 30 pages/cpu @ffff88007ca00000 s82432 r8192 d32256 u2097152
[    0.000000] KVM setup async PF for cpu 0
[    0.000000] kvm-stealtime: cpu 0, msr 7ca0d040
[    0.000000] Built 1 zonelists in Node order, mobility grouping on.  Total pages: 503879
[    0.000000] Policy zone: DMA32
[    0.000000] Kernel command line: panic=1 console=ttyS0 edd=off udevtimeout=6000 udev.event-timeout=6000 no_timer_check printk.time=1 cgroup_disable=memory usbcore.nousb cryptomgr.notests tsc=reliable 8250.nr_uarts=1 root=/dev/sdc selinux=0 guestfs_verbose=1 guestfs_network=1 TERM=xterm-256color guestfs_identifier=v2v
[    0.000000] Disabling memory control group subsystem
[    0.000000] PID hash table entries: 4096 (order: 3, 32768 bytes)
[    0.000000] xsave: enabled xstate_bv 0x7, cntxt size 0x340 using standard form
[    0.000000] AGP: Checking aperture...
[    0.000000] AGP: No AGP bridge found
[    0.000000] Memory: 1995120K/2047600K available (6410K kernel code, 1427K rwdata, 3132K rodata, 1712K init, 3156K bss, 52480K reserved)
[    0.000000] SLUB: HWalign=64, Order=0-3, MinObjects=0, CPUs=1, Nodes=1
[    0.000000] Hierarchical RCU implementation.
[    0.000000] \tRCU restricting CPUs from NR_CPUS=8192 to nr_cpu_ids=1.
[    0.000000] RCU: Adjusting geometry for rcu_fanout_leaf=16, nr_cpu_ids=1
[    0.000000] NR_IRQS:524544 nr_irqs:256 0
[    0.000000] \tOffload RCU callbacks from all CPUs
[    0.000000] \tOffload RCU callbacks from CPUs: 0.
[    0.000000] Console: colour *CGA 80x25
[    0.000000] console [ttyS0] enabled
[    0.000000] tsc: Detected 2099.998 MHz processor
[    0.002000] Calibrating delay loop (skipped) preset value.. 4199.99 BogoMIPS (lpj=2099998)
[    0.002415] pid_max: default: 32768 minimum: 301
[    0.003070] Security Framework initialized
[    0.004015] SELinux:  Disabled at boot.
[    0.005077] Dentry cache hash table entries: 262144 (order: 9, 2097152 bytes)
[    0.007114] Inode-cache hash table entries: 131072 (order: 8, 1048576 bytes)
[    0.008597] Mount-cache hash table entries: 4096 (order: 3, 32768 bytes)
[    0.009018] Mountpoint-cache hash table entries: 4096 (order: 3, 32768 bytes)
[    0.011295] Initializing cgroup subsys memory
[    0.011937] Initializing cgroup subsys devices
[    0.012016] Initializing cgroup subsys freezer
[    0.013008] Initializing cgroup subsys net_cls
[    0.014014] Initializing cgroup subsys blkio
[    0.014740] Initializing cgroup subsys perf_event
[    0.015010] Initializing cgroup subsys hugetlb
[    0.017324] mce: CPU supports 10 MCE banks
[    0.017977] Last level iTLB entries: 4KB 0, 2MB 0, 4MB 0
[    0.017977] Last level dTLB entries: 4KB 0, 2MB 0, 4MB 0, 1GB 0
[    0.042226] Freeing SMP alternatives memory: 28K (ffffffff81c66000 - ffffffff81c6d000)
[    0.048228] ftrace: allocating 25033 entries in 98 pages
[    0.059465] Enabling x2apic
[    0.059980] Enabled x2apic
[    0.060011] Switched APIC routing to physical x2apic.
[    0.062865] ..TIMER: vector=0x30 apic1=0 pin1=2 apic2=-1 pin2=-1
[    0.063003] smpboot: CPU0: Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz (fam: 06, model: 3e, stepping: 04)
[    0.065061] Performance Events: 16-deep LBR, IvyBridge events, Intel PMU driver.
[    0.067266] ... version:                2
[    0.068006] ... bit width:              48
[    0.068557] ... generic registers:      4
[    0.069006] ... value mask:             0000ffffffffffff
[    0.069714] ... max period:             000000007fffffff
[    0.070005] ... fixed-purpose events:   3
[    0.070556] ... event mask:             000000070000000f
[    0.080268] KVM setup paravirtual spinlock
[    0.082986] x86: Booted up 1 node, 1 CPUs
[    0.083007] smpboot: Total of 1 processors activated (4199.99 BogoMIPS)
[    0.084428] NMI watchdog: disabled (cpu0): hardware events not enabled
[    0.085632] devtmpfs: initialized
[    0.088772] evm: security.selinux
[    0.089006] evm: security.ima
[    0.089414] evm: security.capability
[    0.091289] atomic64_test: passed for x86-64 platform with CX8 and with SSE
[    0.092194] NET: Registered protocol family 16
[    0.093024] cpuidle: using governor menu
[    0.094063] PCI: Using configuration type 1 for base access
[    0.096489] ACPI: Interpreter disabled.
[    0.097107] vgaarb: loaded
[    0.097633] SCSI subsystem initialized
[    0.098126] usbcore: registered new interface driver usbfs
[    0.098892] usbcore: registered new interface driver hub
[    0.099025] usbcore: registered new device driver usb
[    0.099902] PCI: Probing PCI hardware
[    0.100047] PCI host bridge to bus 0000:00
[    0.100691] pci_bus 0000:00: root bus resource [io  0x0000-0xffff]
[    0.101009] pci_bus 0000:00: root bus resource [mem 0x00000000-0x3fffffffffff]
[    0.102009] pci_bus 0000:00: No busn resource found for root bus, will use [bus 00-ff]
[    0.113055] pci 0000:00:01.1: legacy IDE quirk: reg 0x10: [io  0x01f0-0x01f7]
[    0.114008] pci 0000:00:01.1: legacy IDE quirk: reg 0x14: [io  0x03f6]
[    0.114886] pci 0000:00:01.1: legacy IDE quirk: reg 0x18: [io  0x0170-0x0177]
[    0.115006] pci 0000:00:01.1: legacy IDE quirk: reg 0x1c: [io  0x0376]
[    0.163011] pci 0000:00:01.0: PIIX/ICH IRQ router [8086:7000]
[    0.164130] NetLabel: Initializing
[    0.164607] NetLabel:  domain hash size = 128
[    0.165005] NetLabel:  protocols = UNLABELED CIPSOv4
[    0.165711] NetLabel:  unlabeled traffic allowed by default
[    0.166131] Switched to clocksource kvm-clock
[    0.268739] pnp: PnP ACPI: disabled
[    0.363907] NET: Registered protocol family 2
[    0.364958] TCP established hash table entries: 16384 (order: 5, 131072 bytes)
[    0.366141] TCP bind hash table entries: 16384 (order: 6, 262144 bytes)
[    0.367341] TCP: Hash tables configured (established 16384 bind 16384)
[    0.368502] TCP: reno registered
[    0.369303] UDP hash table entries: 1024 (order: 3, 32768 bytes)
[    0.370184] UDP-Lite hash table entries: 1024 (order: 3, 32768 bytes)
[    0.371194] NET: Registered protocol family 1
[    0.371838] pci 0000:00:00.0: Limiting direct PCI/PCI transfers
[    0.372670] pci 0000:00:01.0: PIIX3: Enabling Passive Release
[    0.373512] pci 0000:00:01.0: Activating ISA DMA hang workarounds
[    0.374568] Unpacking initramfs...
[    0.432366] Freeing initrd memory: 2676K (ffff88007cd53000 - ffff88007cff0000)
[    0.433590] platform rtc_cmos: registered platform RTC device (no PNP device found)
[    0.435216] microcode: CPU0 sig=0x306e4, pf=0x1, revision=0x1
[    0.436148] microcode: Microcode Update Driver: v2.00 <tigran@aivazian.fsnet.co.uk>, Peter Oruba
[    0.437858] futex hash table entries: 256 (order: 2, 16384 bytes)
[    0.438736] Initialise system trusted keyring
[    0.439415] audit: initializing netlink subsys (disabled)
[    0.440255] audit: type=2000 audit(1532658817.431:1): initialized
[    0.441529] HugeTLB registered 2 MB page size, pre-allocated 0 pages
[    0.500469] zpool: loaded
[    0.500902] zbud: loaded
[    0.501526] VFS: Disk quotas dquot_6.5.2
[    0.502151] Dquot-cache hash table entries: 512 (order 0, 4096 bytes)
[    0.503228] msgmni has been set to 3902
[    0.503843] Key type big_key registered
[    0.505340] alg: No test for stdrng (krng)
[    0.505923] NET: Registered protocol family 38
[    0.506577] Key type asymmetric registered
[    0.507157] Asymmetric key parser 'x509' registered
[    0.507858] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 252)
[    0.508970] io scheduler noop registered
[    0.509537] io scheduler deadline registered (default)
[    0.510305] io scheduler cfq registered
[    0.510962] pci_hotplug: PCI Hot Plug PCI Core version: 0.5
[    0.511802] pciehp: PCI Express Hot Plug Controller Driver version: 0.4
[    0.512923] Serial: 8250/16550 driver, 1 ports, IRQ sharing enabled
[    0.539197] serial8250: ttyS0 at I/O 0x3f8 (irq = 4, base_baud = 115200) is a 16550A
[    0.540659] Non-volatile memory driver v1.3
[    0.541274] Linux agpgart interface v0.103
[    0.541964] rdac: device handler registered
[    0.542614] hp_sw: device handler registered
[    0.543243] emc: device handler registered
[    0.543836] alua: device handler registered
[    0.544501] libphy: Fixed MDIO Bus: probed
[    0.545167] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[    0.546100] ehci-pci: EHCI PCI platform driver
[    0.546883] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
[    0.547781] ohci-pci: OHCI PCI platform driver
[    0.548419] uhci_hcd: USB Universal Host Controller Interface driver
[    0.549418] usbcore: registered new interface driver usbserial
[    0.550262] usbcore: registered new interface driver usbserial_generic
[    0.551168] usbserial: USB Serial support registered for generic
[    0.552016] i8042: PNP: No PS/2 controller found. Probing ports directly.
[    0.553734] serio: i8042 KBD port at 0x60,0x64 irq 1
[    0.554654] serio: i8042 AUX port at 0x60,0x64 irq 12
[    0.555960] mousedev: PS/2 mouse device common for all mice
[    0.557140] input: AT Translated Set 2 keyboard as /devices/platform/i8042/serio0/input/input0
[    0.560511] rtc_cmos rtc_cmos: rtc core: registered rtc_cmos as rtc0
[    0.561541] rtc_cmos rtc_cmos: alarms up to one day, 114 bytes nvram
[    0.562538] hidraw: raw HID events driver (C) Jiri Kosina
[    0.563460] usbcore: registered new interface driver usbhid
[    0.564250] usbhid: USB HID core driver
[    0.564926] drop_monitor: Initializing network drop monitor service
[    0.565882] TCP: cubic registered
[    0.566368] Initializing XFRM netlink socket
[    0.567122] NET: Registered protocol family 10
[    0.568146] NET: Registered protocol family 17
[    0.569186] Loading compiled-in X.509 certificates
[    0.570947] Loaded X.509 cert 'Magrathea: Glacier signing key: 426e5fa5391786c5edf29221546901e799c4726d'
[    0.572433] registered taskstats version 1
[    0.573476] Key type trusted registered
[    0.574629] Key type encrypted registered
[    0.575222] ima: No TPM chip found, activating TPM-bypass!
[    0.576079] evm: HMAC attrs: 0x1
[    0.577338] rtc_cmos rtc_cmos: setting system clock to 2018-07-27 02:33:36 UTC (1532658816)
[    0.580325] Freeing unused kernel memory: 1712K (ffffffff81aba000 - ffffffff81c66000)
supermin: mounting /proc
supermin: ext2 mini initrd starting up: 5.1.19 glibc
supermin: cmdline: panic=1 console=ttyS0 edd=off udevtimeout=6000 udev.event-timeout=6000 no_timer_check printk.time=1 cgroup_disable=memory usbcore.nousb cryptomgr.notests tsc=reliable 8250.nr_uarts=1 root=/dev/sdc selinux=0 guestfs_verbose=1 guestfs_network=1 TERM=xterm-256color guestfs_identifier=v2v
supermin: uptime: 0.58 0.05
supermin: mounting /sys
supermin: internal insmod crc32-pclmul.ko
[    0.586715] crc32_pclmul: module verification failed: signature and/or  required key missing - tainting kernel
[    0.588308] alg: No test for crc32 (crc32-pclmul)
supermin: internal insmod crc32c-intel.ko
supermin: internal insmod crct10dif-pclmul.ko
supermin: internal insmod crc32.ko
[    0.591195] alg: No test for crc32 (crc32-table)
supermin: internal insmod libata.ko
supermin: internal insmod ata_piix.ko
[    0.596658] scsi host0: ata_piix
[    0.597243] scsi host1: ata_piix
[    0.597845] ata1: PATA max MWDMA2 cmd 0x1f0 ctl 0x3f6 bmdma 0xc0a0 irq 14
[    0.599162] ata2: PATA max MWDMA2 cmd 0x170 ctl 0x376 bmdma 0xc0a8 irq 15
supermin: internal insmod virtio.ko
supermin: internal insmod virtio_ring.ko
supermin: internal insmod virtio_blk.ko
supermin: internal insmod virtio-rng.ko
supermin: internal insmod virtio_console.ko
supermin: internal insmod virtio_net.ko
supermin: internal insmod sd_mod.ko
supermin: internal insmod virtio_scsi.ko
supermin: internal insmod virtio_balloon.ko
supermin: internal insmod virtio_pci.ko
[    0.812099] virtio-pci 0000:00:02.0: PCI->APIC IRQ transform: INT A -> IRQ 24
[    0.815110] scsi host2: Virtio SCSI HBA
[    0.816570] scsi 2:0:0:0: Direct-Access     QEMU     QEMU HARDDISK    2.5+ PQ: 0 ANSI: 5
[    0.817740] virtio-pci 0000:00:03.0: PCI->APIC IRQ transform: INT A -> IRQ 25
[    0.822040] scsi 2:0:1:0: Direct-Access     QEMU     QEMU HARDDISK    2.5+ PQ: 0 ANSI: 5
[    0.823543] scsi 2:0:2:0: Direct-Access     QEMU     QEMU HARDDISK    2.5+ PQ: 0 ANSI: 5
[    0.834424] virtio-pci 0000:00:04.0: PCI->APIC IRQ transform: INT A -> IRQ 25
[    0.837790] virtio-pci 0000:00:05.0: PCI->APIC IRQ transform: INT A -> IRQ 24
[    0.913429] sd 2:0:0:0: [sda] 83886080 512-byte logical blocks: (42.9 GB/40.0 GiB)
[    0.914988] sd 2:0:1:0: [sdb] 524288000 512-byte logical blocks: (268 GB/250 GiB)
[    0.916215] sd 2:0:0:0: [sda] Write Protect is off
[    0.917026] sd 2:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[    0.918472] sd 2:0:1:0: [sdb] Write Protect is off
[    0.919293] sd 2:0:1:0: [sdb] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[    0.920908] sd 2:0:2:0: [sdc] 8388608 512-byte logical blocks: (4.29 GB/4.00 GiB)
[    0.922350] sd 2:0:2:0: [sdc] Write Protect is off
[    0.923391] sd 2:0:2:0: [sdc] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[    0.924767]  sda: sda1
[    0.925490]  sdb: sdb1
[    0.926429] sd 2:0:0:0: [sda] Attached SCSI disk
[    0.927122] sd 2:0:1:0: [sdb] Attached SCSI disk
[    0.928456]  sdc: unknown partition table
[    0.929690] sd 2:0:2:0: [sdc] Attached SCSI disk
supermin: internal insmod jbd2.ko
supermin: internal insmod mbcache.ko
supermin: internal insmod ext4.ko
supermin: internal insmod crc-ccitt.ko
supermin: internal insmod crc-itu-t.ko
supermin: internal insmod crc8.ko
supermin: internal insmod libcrc32c.ko
supermin: picked /sys/block/sdc/dev (8:32) as root device
supermin: creating /dev/root as block special 8:32
supermin: mounting new root on /root
[    1.044088] EXT4-fs (sdc): mounting ext2 file system using the ext4 subsystem
[    1.047632] EXT4-fs (sdc): mounted filesystem without journal. Opts:
supermin: deleting initramfs files
supermin: chroot
[    1.125231] init[1]: segfault at 0 ip 00007f0e44c00f80 sp 00007ffc77e7f590 error 4 in libc-2.17.so[7f0e44b92000+1c3000]
[    1.127141] Kernel panic - not syncing: Attempted to kill init! exitcode=0x0000000b
[    1.127141]
[    1.128008] CPU: 0 PID: 1 Comm: init Tainted: G            E  3.18.22-0.0.1.el7.ceph.x86_64 #1
[    1.128008] Hardware name: Red Hat KVM, BIOS 1.11.0-2.el7 04/01/2014
[    1.128008]  ffff880079730780 ffff88007c7afc38 ffffffff81636091 0000000000000f5a
[    1.128008]  ffffffff818767c8 ffff88007c7afcb8 ffffffff8162f458 ffff88007c7b8000
[    1.128008]  ffffffff00000010 ffff88007c7afcc8 ffff88007c7afc68 ffffffff819f0580
[    1.128008] Call Trace:
[    1.128008]  [<ffffffff81636091>] dump_stack+0x46/0x58
[    1.128008]  [<ffffffff8162f458>] panic+0xc1/0x1f5
[    1.128008]  [<ffffffff810759a7>] do_exit+0xa47/0xa50
[    1.128008]  [<ffffffff8107d9b7>] ? __sigqueue_free.part.11+0x37/0x40
[    1.128008]  [<ffffffff81075a3f>] do_group_exit+0x3f/0xa0
[    1.128008]  [<ffffffff81080ec3>] get_signal+0x1e3/0x710
[    1.128008]  [<ffffffff81012498>] do_signal+0x28/0x700
[    1.128008]  [<ffffffff8162ff0b>] ? printk+0x61/0x63
[    1.128008]  [<ffffffff811fbc37>] ? __alloc_fd+0xa7/0x130
[    1.128008]  [<ffffffff8105eb75>] ? trace_do_page_fault+0x45/0x100
[    1.128008]  [<ffffffff81012bd9>] do_notify_resume+0x69/0xb0
[    1.128008]  [<ffffffff8163e5a2>] retint_signal+0x48/0x86
[    1.128008] Kernel Offset: 0x0 from 0xffffffff81000000 (relocation range: 0xffffffff80000000-0xffffffff9fffffff)
[    1.128008] Rebooting in 1 seconds..libguestfs: child_cleanup: 0x219df30: child process died
libguestfs: clear_socket_create_context: setsockcreatecon failed: NULL: Invalid argument [you can ignore this message if you are not using SELinux + sVirt]
libguestfs: trace: v2v: launch = -1 (error)
virt-v2v: error: libguestfs error: guestfs_launch failed, see earlier error
messages

If reporting bugs, run virt-v2v with debugging enabled and include the
complete output:

  virt-v2v -v -x [...]
libguestfs: trace: v2v: close
libguestfs: closing guestfs handle 0x219df30 (state 0)
libguestfs: command: run: rm
libguestfs: command: run: \ -rf /tmp/libguestfsSPkOAC
libguestfs: command: run: rm
libguestfs: command: run: \ -rf /tmp/libguestfseT0H2c
libguestfs: trace: close
libguestfs: closing guestfs handle 0x219db40 (state 0)
libguestfs: trace: close
libguestfs: closing guestfs handle 0x21942f0 (state 0)
libguestfs: trace: close
libguestfs: closing guestfs handle 0x2193fb0 (state 0)
libguestfs: trace: close
libguestfs: closing guestfs handle 0x2191240 (state 0)
libguestfs: trace: close
libguestfs: closing guestfs handle 0x2180cb0 (state 0)
libguestfs: trace: close
libguestfs: closing guestfs handle 0x2180820 (state 0)
[root@rg1-ceph1 /data]#

Expected results:


Additional info:

[root@rg1-ceph1 /data]# ldd /bin/virt-v2v
	linux-vdso.so.1 =>  (0x00007ffce5d55000)
	libguestfs.so.0 => /lib64/libguestfs.so.0 (0x00007f7e72675000)
	libvirt.so.0 => /lib64/libvirt.so.0 (0x00007f7e720c7000)
	libxml2.so.2 => /lib64/libxml2.so.2 (0x00007f7e71d5d000)
	libm.so.6 => /lib64/libm.so.6 (0x00007f7e71a5b000)
	libdl.so.2 => /lib64/libdl.so.2 (0x00007f7e71857000)
	libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00007f7e71641000)
	libc.so.6 => /lib64/libc.so.6 (0x00007f7e71274000)
	libpcre.so.1 => /lib64/libpcre.so.1 (0x00007f7e71012000)
	libmagic.so.1 => /lib64/libmagic.so.1 (0x00007f7e70df6000)
	libselinux.so.1 => /lib64/libselinux.so.1 (0x00007f7e70bcf000)
	libyajl.so.2 => /lib64/libyajl.so.2 (0x00007f7e709c5000)
	libfuse.so.2 => /lib64/libfuse.so.2 (0x00007f7e70787000)
	libpthread.so.0 => /lib64/libpthread.so.0 (0x00007f7e7056b000)
	libcap-ng.so.0 => /lib64/libcap-ng.so.0 (0x00007f7e70365000)
	libnl-route-3.so.200 => /lib64/libnl-route-3.so.200 (0x00007f7e700f8000)
	libnl-3.so.200 => /lib64/libnl-3.so.200 (0x00007f7e6fed7000)
	libaudit.so.1 => /lib64/libaudit.so.1 (0x00007f7e6fcae000)
	libdevmapper.so.1.02 => /lib64/libdevmapper.so.1.02 (0x00007f7e6fa57000)
	libnuma.so.1 => /lib64/libnuma.so.1 (0x00007f7e6f84b000)
	libacl.so.1 => /lib64/libacl.so.1 (0x00007f7e6f642000)
	libavahi-common.so.3 => /lib64/libavahi-common.so.3 (0x00007f7e6f435000)
	libavahi-client.so.3 => /lib64/libavahi-client.so.3 (0x00007f7e6f224000)
	libdbus-1.so.3 => /lib64/libdbus-1.so.3 (0x00007f7e6efd4000)
	libgnutls.so.28 => /lib64/libgnutls.so.28 (0x00007f7e6ec9a000)
	libsasl2.so.3 => /lib64/libsasl2.so.3 (0x00007f7e6ea7d000)
	libcurl.so.4 => /lib64/libcurl.so.4 (0x00007f7e6e818000)
	libutil.so.1 => /lib64/libutil.so.1 (0x00007f7e6e615000)
	libz.so.1 => /lib64/libz.so.1 (0x00007f7e6e3ff000)
	liblzma.so.5 => /lib64/liblzma.so.5 (0x00007f7e6e1d9000)
	/lib64/ld-linux-x86-64.so.2 (0x00007f7e729a5000)
	libsepol.so.1 => /lib64/libsepol.so.1 (0x00007f7e6df3b000)
	libudev.so.1 => /lib64/libudev.so.1 (0x00007f7e6dd25000)
	libattr.so.1 => /lib64/libattr.so.1 (0x00007f7e6db20000)
	libsystemd.so.0 => /lib64/libsystemd.so.0 (0x00007f7e6d8ef000)
	libp11-kit.so.0 => /lib64/libp11-kit.so.0 (0x00007f7e6d5c0000)
	libtasn1.so.6 => /lib64/libtasn1.so.6 (0x00007f7e6d3ad000)
	libnettle.so.4 => /lib64/libnettle.so.4 (0x00007f7e6d17c000)
	libhogweed.so.2 => /lib64/libhogweed.so.2 (0x00007f7e6cf55000)
	libgmp.so.10 => /lib64/libgmp.so.10 (0x00007f7e6ccde000)
	libresolv.so.2 => /lib64/libresolv.so.2 (0x00007f7e6cac5000)
	libcrypt.so.1 => /lib64/libcrypt.so.1 (0x00007f7e6c88e000)
	libgssapi_krb5.so.2 => /lib64/libgssapi_krb5.so.2 (0x00007f7e6c641000)
	libkrb5.so.3 => /lib64/libkrb5.so.3 (0x00007f7e6c359000)
	libk5crypto.so.3 => /lib64/libk5crypto.so.3 (0x00007f7e6c126000)
	libcom_err.so.2 => /lib64/libcom_err.so.2 (0x00007f7e6bf22000)
	libkrb5support.so.0 => /lib64/libkrb5support.so.0 (0x00007f7e6bd14000)
	libidn.so.11 => /lib64/libidn.so.11 (0x00007f7e6bae1000)
	libssh2.so.1 => /lib64/libssh2.so.1 (0x00007f7e6b8b7000)
	libssl3.so => /lib64/libssl3.so (0x00007f7e6b679000)
	libsmime3.so => /lib64/libsmime3.so (0x00007f7e6b452000)
	libnss3.so => /lib64/libnss3.so (0x00007f7e6b12d000)
	libnssutil3.so => /lib64/libnssutil3.so (0x00007f7e6aefe000)
	libplds4.so => /lib64/libplds4.so (0x00007f7e6acfa000)
	libplc4.so => /lib64/libplc4.so (0x00007f7e6aaf5000)
	libnspr4.so => /lib64/libnspr4.so (0x00007f7e6a8b7000)
	liblber-2.4.so.2 => /lib64/liblber-2.4.so.2 (0x00007f7e6a6a8000)
	libldap-2.4.so.2 => /lib64/libldap-2.4.so.2 (0x00007f7e6a456000)
	librt.so.1 => /lib64/librt.so.1 (0x00007f7e6a24e000)
	libcap.so.2 => /lib64/libcap.so.2 (0x00007f7e6a049000)
	libdw.so.1 => /lib64/libdw.so.1 (0x00007f7e69e02000)
	liblz4.so.1 => /lib64/liblz4.so.1 (0x00007f7e69bed000)
	libgcrypt.so.11 => /lib64/libgcrypt.so.11 (0x00007f7e6996c000)
	libgpg-error.so.0 => /lib64/libgpg-error.so.0 (0x00007f7e69767000)
	libffi.so.6 => /lib64/libffi.so.6 (0x00007f7e6955f000)
	libfreebl3.so => /lib64/libfreebl3.so (0x00007f7e6935c000)
	libkeyutils.so.1 => /lib64/libkeyutils.so.1 (0x00007f7e69158000)
	libssl.so.10 => /lib64/libssl.so.10 (0x00007f7e68eeb000)
	libcrypto.so.10 => /lib64/libcrypto.so.10 (0x00007f7e68b03000)
	libelf.so.1 => /lib64/libelf.so.1 (0x00007f7e688eb000)
	libbz2.so.1 => /lib64/libbz2.so.1 (0x00007f7e686db000)

Comment 1 Richard W.M. Jones 2018-07-27 06:56:15 UTC
[    1.125231] init[1]: segfault at 0 ip 00007f0e44c00f80 sp 00007ffc77e7f590 error 4 in libc-2.17.so[7f0e44b92000+1c3000]

The supermin init process segfaults, which is not good.

Comment 3 Richard W.M. Jones 2018-07-27 06:56:43 UTC
What is the version of supermin?

Comment 4 zhujinhe 2018-07-27 06:59:57 UTC
[root@rg1-ceph1 ~]# rpm -qa | grep supermin
supermin5-5.1.19-1.el7.x86_64

Comment 5 Richard W.M. Jones 2018-07-27 08:03:33 UTC
Unfortunately I cannot reproduce this locally using CentOS 7 and
the same package versions.  Are you using qemu-kvm or qemu-kvm-ev,
and which version?

Comment 6 Richard W.M. Jones 2018-07-27 08:06:55 UTC
Since I cannot reproduce this I can only make broad suggestions
about what you might try to do:

(1) Remove /var/tmp/.guestfs-* and run libguestfs-test-tool.  Does
the same problem happen after this?

(2) Download a pre-built appliance from
http://download.libguestfs.org/binaries/appliance/appliance-1.36.1.tar.xz
unpack it somewhere, set LIBGUESTFS_PATH to point to that directory
and run libguestfs-test-tool.  Does this fix it?

(3) Try building supermin and/or libguestfs from source and see if either
of those fixes it.
http://libguestfs.org/guestfs-building.1.html
http://libguestfs.org/guestfs-faq.1.html#how-can-i-compile-and-install-libguestfs-if-my-distro-doesnt-have-new-enough-qemu-supermin-kernel

Comment 7 Richard W.M. Jones 2018-07-27 08:11:29 UTC
Another thing you could try is to resolve libc-2.17.so[7f0e44b92000+1c3000]
into an actual symbol.  It would certainly help to know which
function in libc is crashing.
https://stackoverflow.com/questions/2549214/interpreting-segfault-messages

Comment 8 zhujinhe 2018-07-27 11:27:42 UTC
I'm using a custom kernel which seems to be a suspect.
Is there a way to use a specified kernel, in this case vmlinuz-3.10.0-327.4.5.el7.x86_64?


[root@rg1-ceph2 /usr/lib64/guestfs/supermin.d]# ll /boot/
total 140492
-rw-r--r--. 1 root root   123838 Mar  6  2015 config-3.10.0-229.el7.x86_64
-rw-r--r--. 1 root root   126430 Jan 26  2016 config-3.10.0-327.4.5.el7.x86_64
-rw-r--r--. 1 root root   132354 Jan 20  2016 config-3.18.22-0.0.1.el7.ceph.x86_64
drwxr-xr-x  2 root root     4096 Jul 26 19:33 extlinux
drwxr-xr-x. 2 root root       26 Jul  4  2016 grub
drwxr-xr-x. 6 root root      104 Jul  4  2016 grub2
-rw-------. 1 root root 37572622 Jul  4  2016 initramfs-0-rescue-087d9e8c42204359bf8207bf100ac70f.img
-rw-------. 1 root root 17983709 Jul  4  2016 initramfs-3.10.0-229.el7.x86_64.img
-rw-------. 1 root root 19333773 Jul  4  2016 initramfs-3.10.0-327.4.5.el7.x86_64.img
-rw-------. 1 root root 19200633 Jul  4  2016 initramfs-3.18.22-0.0.1.el7.ceph.x86_64.img
-rw-------  1 root root 19316028 Jun 18 06:49 initramfs-3.18.22-0.0.1.el7.ceph.x86_64kdump.img
-rw-r--r--. 1 root root   240039 Mar  6  2015 symvers-3.10.0-229.el7.x86_64.gz
-rw-r--r--. 1 root root   252630 Jan 26  2016 symvers-3.10.0-327.4.5.el7.x86_64.gz
-rw-r--r--. 1 root root   247556 Jan 20  2016 symvers-3.18.22-0.0.1.el7.ceph.x86_64.gz
-rw-------. 1 root root  2881257 Mar  6  2015 System.map-3.10.0-229.el7.x86_64
-rw-------. 1 root root  2963007 Jan 26  2016 System.map-3.10.0-327.4.5.el7.x86_64
-rw-r--r--. 1 root root  3048633 Jan 20  2016 System.map-3.18.22-0.0.1.el7.ceph.x86_64
-rwxr-xr-x. 1 root root  5029136 Jul  4  2016 vmlinuz-0-rescue-087d9e8c42204359bf8207bf100ac70f
-rwxr-xr-x. 1 root root  5029136 Mar  6  2015 vmlinuz-3.10.0-229.el7.x86_64
-rwxr-xr-x. 1 root root  5154640 Jan 26  2016 vmlinuz-3.10.0-327.4.5.el7.x86_64
-rwxr-xr-x. 1 root root  5188640 Jan 20  2016 vmlinuz-3.18.22-0.0.1.el7.ceph.x86_64

Comment 9 Richard W.M. Jones 2018-07-27 11:37:23 UTC
Yes a custom kernel could well cause this.  You can select a specific
kernel by doing:

export SUPERMIN_KERNEL=/boot/vmlinuz-3.10.0-327.4.5.el7.x86_64
export SUPERMIN_MODULES=/lib/modules/3.10.0-327.4.5.el7.x86_64
export SUPERMIN_KERNEL_VERSION=3.10.0-327.4.5.el7.x86_64
rm -rf /var/tmp/.guestfs-*
libguestfs-test-tool

Note the 'rm' command is required, else the appliance doesn't get
rebuilt.

See also
http://libguestfs.org/guestfs-faq.1.html#how-can-i-compile-and-install-libguestfs-if-my-distro-doesnt-have-new-enough-qemu-supermin-kernel

Comment 10 zhujinhe 2018-07-27 11:55:31 UTC
Created attachment 1471069 [details]
strace.log

Comment 11 zhujinhe 2018-07-27 11:57:09 UTC
Unfortunately, the same error accord. Any suggest?

[root@rg1-ceph1 /data]# rpm -qa | grep qemu-kvm
qemu-kvm-ev-2.6.0-28.el7_3.9.1.x86_64
qemu-kvm-common-ev-2.6.0-28.el7_3.9.1.x86_64
[root@rg1-ceph1 /data]# rpm -qa | grep libguestfs
libguestfs-winsupport-7.2-2.el7.x86_64
libguestfs-tools-c-1.36.10-6.el7_5.2.x86_64
libguestfs-1.36.10-6.el7_5.2.x86_64
-------------------same error--------------

[root@rg1-ceph1 /data]# export SUPERMIN_KERNEL=/boot/vmlinuz-3.10.0-327.4.5.el7.x86_64
[root@rg1-ceph1 /data]# export SUPERMIN_MODULES=/lib/modules/3.10.0-327.4.5.el7.x86_64
[root@rg1-ceph1 /data]# export SUPERMIN_KERNEL_VERSION=3.10.0-327.4.5.el7.x86_64
[root@rg1-ceph1 /data]# rm -rf /var/tmp/.guestfs-*
[root@rg1-ceph1 /data]# libguestfs-test-tool
     ************************************************************
     *                    IMPORTANT NOTICE
     *
     * When reporting bugs, include the COMPLETE, UNEDITED
     * output below in your bug report.
     *
     ************************************************************
libguestfs: trace: set_verbose true
libguestfs: trace: set_verbose = 0
libguestfs: trace: set_verbose true
libguestfs: trace: set_verbose = 0
SUPERMIN_KERNEL_VERSION=3.10.0-327.4.5.el7.x86_64
SUPERMIN_MODULES=/lib/modules/3.10.0-327.4.5.el7.x86_64
LIBGUESTFS_DEBUG=1
SUPERMIN_KERNEL=/boot/vmlinuz-3.10.0-327.4.5.el7.x86_64
LIBGUESTFS_TRACE=1
PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin:/root/bin
SELinux: Disabled
libguestfs: trace: add_drive_scratch 104857600
libguestfs: trace: get_tmpdir
libguestfs: trace: get_tmpdir = "/tmp"
libguestfs: trace: disk_create "/tmp/libguestfsbumi5r/scratch1.img" "raw" 104857600
libguestfs: trace: disk_create = 0
libguestfs: trace: add_drive "/tmp/libguestfsbumi5r/scratch1.img" "format:raw" "cachemode:unsafe"
libguestfs: trace: add_drive = 0
libguestfs: trace: add_drive_scratch = 0
libguestfs: trace: get_append
libguestfs: trace: get_append = "NULL"
guestfs_get_append: (null)
libguestfs: trace: get_autosync
libguestfs: trace: get_autosync = 1
guestfs_get_autosync: 1
libguestfs: trace: get_backend
libguestfs: trace: get_backend = "libvirt"
guestfs_get_backend: libvirt
libguestfs: trace: get_backend_settings
libguestfs: trace: get_backend_settings = []
guestfs_get_backend_settings: []
libguestfs: trace: get_cachedir
libguestfs: trace: get_cachedir = "/var/tmp"
guestfs_get_cachedir: /var/tmp
libguestfs: trace: get_hv
libguestfs: trace: get_hv = "/usr/libexec/qemu-kvm"
guestfs_get_hv: /usr/libexec/qemu-kvm
libguestfs: trace: get_memsize
libguestfs: trace: get_memsize = 500
guestfs_get_memsize: 500
libguestfs: trace: get_network
libguestfs: trace: get_network = 0
guestfs_get_network: 0
libguestfs: trace: get_path
libguestfs: trace: get_path = "/usr/lib64/guestfs"
guestfs_get_path: /usr/lib64/guestfs
libguestfs: trace: get_pgroup
libguestfs: trace: get_pgroup = 0
guestfs_get_pgroup: 0
libguestfs: trace: get_program
libguestfs: trace: get_program = "libguestfs-test-tool"
guestfs_get_program: libguestfs-test-tool
libguestfs: trace: get_recovery_proc
libguestfs: trace: get_recovery_proc = 1
guestfs_get_recovery_proc: 1
libguestfs: trace: get_smp
libguestfs: trace: get_smp = 1
guestfs_get_smp: 1
libguestfs: trace: get_sockdir
libguestfs: trace: get_sockdir = "/tmp"
guestfs_get_sockdir: /tmp
libguestfs: trace: get_tmpdir
libguestfs: trace: get_tmpdir = "/tmp"
guestfs_get_tmpdir: /tmp
libguestfs: trace: get_trace
libguestfs: trace: get_trace = 1
guestfs_get_trace: 1
libguestfs: trace: get_verbose
libguestfs: trace: get_verbose = 1
guestfs_get_verbose: 1
host_cpu: x86_64
Launching appliance, timeout set to 600 seconds.
libguestfs: trace: launch
libguestfs: trace: version
libguestfs: trace: version = <struct guestfs_version = major: 1, minor: 36, release: 10, extra: rhel=7,release=6.el7_5.2,libvirt, >
libguestfs: trace: get_backend
libguestfs: trace: get_backend = "libvirt"
libguestfs: launch: program=libguestfs-test-tool
libguestfs: launch: version=1.36.10rhel=7,release=6.el7_5.2,libvirt
libguestfs: launch: backend registered: unix
libguestfs: launch: backend registered: uml
libguestfs: launch: backend registered: libvirt
libguestfs: launch: backend registered: direct
libguestfs: launch: backend=libvirt
libguestfs: launch: tmpdir=/tmp/libguestfsbumi5r
libguestfs: launch: umask=0022
libguestfs: launch: euid=0
libguestfs: libvirt version = 3009000 (3.9.0)
libguestfs: guest random name = guestfs-3a7p7ydxij3drz2i
libguestfs: connect to libvirt
libguestfs: opening libvirt handle: URI = qemu:///system, auth = default+wrapper, flags = 0
libguestfs: successfully opened libvirt handle: conn = 0x7f5ab60c8500
libguestfs: qemu version (reported by libvirt) = 2000000 (2.0.0)
libguestfs: get libvirt capabilities
libguestfs: parsing capabilities XML
libguestfs: trace: get_backend_setting "force_tcg"
libguestfs: trace: get_backend_setting = NULL (error)
libguestfs: trace: get_backend_setting "internal_libvirt_label"
libguestfs: trace: get_backend_setting = NULL (error)
libguestfs: trace: get_backend_setting "internal_libvirt_imagelabel"
libguestfs: trace: get_backend_setting = NULL (error)
libguestfs: trace: get_backend_setting "internal_libvirt_norelabel_disks"
libguestfs: trace: get_backend_setting = NULL (error)
libguestfs: build appliance
libguestfs: trace: get_cachedir
libguestfs: trace: get_cachedir = "/var/tmp"
libguestfs: begin building supermin appliance
libguestfs: run supermin
libguestfs: command: run: /usr/bin/supermin5
libguestfs: command: run: \ --build
libguestfs: command: run: \ --verbose
libguestfs: command: run: \ --if-newer
libguestfs: command: run: \ --lock /var/tmp/.guestfs-0/lock
libguestfs: command: run: \ --copy-kernel
libguestfs: command: run: \ -f ext2
libguestfs: command: run: \ --host-cpu x86_64
libguestfs: command: run: \ /usr/lib64/guestfs/supermin.d
libguestfs: command: run: \ -o /var/tmp/.guestfs-0/appliance.d
supermin: version: 5.1.19
supermin: rpm: detected RPM version 4.11
supermin: package handler: fedora/rpm
supermin: acquiring lock on /var/tmp/.guestfs-0/lock
supermin: build: /usr/lib64/guestfs/supermin.d
supermin: reading the supermin appliance
supermin: build: visiting /usr/lib64/guestfs/supermin.d/base.tar.gz type gzip base image (tar)
supermin: build: visiting /usr/lib64/guestfs/supermin.d/daemon.tar.gz type gzip base image (tar)
supermin: build: visiting /usr/lib64/guestfs/supermin.d/excludefiles type uncompressed excludefiles
supermin: build: visiting /usr/lib64/guestfs/supermin.d/hostfiles type uncompressed hostfiles
supermin: build: visiting /usr/lib64/guestfs/supermin.d/init.tar.gz type gzip base image (tar)
supermin: build: visiting /usr/lib64/guestfs/supermin.d/packages type uncompressed packages
supermin: build: visiting /usr/lib64/guestfs/supermin.d/udev-rules.tar.gz type gzip base image (tar)
supermin: build: visiting /usr/lib64/guestfs/supermin.d/zz-winsupport.tar.gz type gzip base image (tar)
supermin: mapping package names to installed packages
BDB2053 Freeing read locks for locker 0x160c3d: 1667944/140174102075456
BDB2053 Freeing read locks for locker 0x160c3f: 1667944/140174102075456
BDB2053 Freeing read locks for locker 0x160c40: 1667944/140174102075456
BDB2053 Freeing read locks for locker 0x160c41: 1667944/140174102075456
supermin: resolving full list of package dependencies
supermin: build: 191 packages, including dependencies
supermin: build: 31168 files
supermin: build: 8182 files, after matching excludefiles
supermin: build: 8192 files, after adding hostfiles
supermin: build: 8186 files, after removing unreadable files
supermin: build: 8206 files, after munging
supermin: kernel: looking for kernel using environment variables ...
supermin: kernel: SUPERMIN_KERNEL=/boot/vmlinuz-3.10.0-327.4.5.el7.x86_64
supermin: kernel: SUPERMIN_KERNEL_VERSION=3.10.0-327.4.5.el7.x86_64
supermin: kernel: SUPERMIN_MODULES=/lib/modules/3.10.0-327.4.5.el7.x86_64
supermin: kernel: picked vmlinuz /boot/vmlinuz-3.10.0-327.4.5.el7.x86_64
supermin: kernel: kernel_version 3.10.0-327.4.5.el7.x86_64
supermin: kernel: modpath /lib/modules/3.10.0-327.4.5.el7.x86_64
supermin: ext2: creating empty ext2 filesystem '/var/tmp/.guestfs-0/appliance.d.p4q39tti/root'
supermin: ext2: populating from base image
supermin: ext2: copying files from host filesystem
supermin: ext2: copying kernel modules
supermin: ext2: creating minimal initrd '/var/tmp/.guestfs-0/appliance.d.p4q39tti/initrd'
supermin: ext2: wrote 27 modules to minimal initrd
supermin: renaming /var/tmp/.guestfs-0/appliance.d.p4q39tti to /var/tmp/.guestfs-0/appliance.d
libguestfs: finished building supermin appliance
libguestfs: trace: disk_create "/tmp/libguestfsbumi5r/overlay2.qcow2" "qcow2" -1 "backingfile:/var/tmp/.guestfs-0/appliance.d/root" "backingformat:raw"
libguestfs: command: run: qemu-img
libguestfs: command: run: \ create
libguestfs: command: run: \ -f qcow2
libguestfs: command: run: \ -o backing_file=/var/tmp/.guestfs-0/appliance.d/root,backing_fmt=raw
libguestfs: command: run: \ /tmp/libguestfsbumi5r/overlay2.qcow2
Formatting '/tmp/libguestfsbumi5r/overlay2.qcow2', fmt=qcow2 size=4294967296 backing_file=/var/tmp/.guestfs-0/appliance.d/root backing_fmt=raw encryption=off cluster_size=65536 lazy_refcounts=off refcount_bits=16
libguestfs: trace: disk_create = 0
libguestfs: trace: get_sockdir
libguestfs: trace: get_sockdir = "/tmp"
libguestfs: set_socket_create_context: getcon failed: (none): Invalid argument [you can ignore this message if you are not using SELinux + sVirt]
libguestfs: clear_socket_create_context: setsockcreatecon failed: NULL: Invalid argument [you can ignore this message if you are not using SELinux + sVirt]
libguestfs: create libvirt XML
libguestfs: trace: get_cachedir
libguestfs: trace: get_cachedir = "/var/tmp"
libguestfs: libvirt XML:\n<?xml version="1.0"?>\n<domain type="kvm" xmlns:qemu="http://libvirt.org/schemas/domain/qemu/1.0">\n  <name>guestfs-3a7p7ydxij3drz2i</name>\n  <memory unit="MiB">500</memory>\n  <currentMemory unit="MiB">500</currentMemory>\n  <cpu mode="host-passthrough">\n    <model fallback="allow"/>\n  </cpu>\n  <vcpu>1</vcpu>\n  <clock offset="utc">\n    <timer name="rtc" tickpolicy="catchup"/>\n    <timer name="pit" tickpolicy="delay"/>\n    <timer name="hpet" present="no"/>\n  </clock>\n  <os>\n    <type>hvm</type>\n    <kernel>/var/tmp/.guestfs-0/appliance.d/kernel</kernel>\n    <initrd>/var/tmp/.guestfs-0/appliance.d/initrd</initrd>\n    <cmdline>panic=1 console=ttyS0 edd=off udevtimeout=6000 udev.event-timeout=6000 no_timer_check printk.time=1 cgroup_disable=memory usbcore.nousb cryptomgr.notests tsc=reliable 8250.nr_uarts=1 root=/dev/sdb selinux=0 guestfs_verbose=1 TERM=screen</cmdline>\n    <bios useserial="yes"/>\n  </os>\n  <on_reboot>destroy</on_reboot>\n  <devices>\n    <rng model="virtio">\n      <backend model="random">/dev/urandom</backend>\n    </rng>\n    <controller type="scsi" index="0" model="virtio-scsi"/>\n    <disk device="disk" type="file">\n      <source file="/tmp/libguestfsbumi5r/scratch1.img"/>\n      <target dev="sda" bus="scsi"/>\n      <driver name="qemu" type="raw" cache="unsafe"/>\n      <address type="drive" controller="0" bus="0" target="0" unit="0"/>\n    </disk>\n    <disk type="file" device="disk">\n      <source file="/tmp/libguestfsbumi5r/overlay2.qcow2"/>\n      <target dev="sdb" bus="scsi"/>\n      <driver name="qemu" type="qcow2" cache="unsafe"/>\n      <address type="drive" controller="0" bus="0" target="1" unit="0"/>\n    </disk>\n    <serial type="unix">\n      <source mode="connect" path="/tmp/libguestfsCWFzsx/console.sock"/>\n      <target port="0"/>\n    </serial>\n    <channel type="unix">\n      <source mode="connect" path="/tmp/libguestfsCWFzsx/guestfsd.sock"/>\n      <target type="virtio" name="org.libguestfs.channel.0"/>\n    </channel>\n    <controller type="usb" model="none"/>\n    <memballoon model="none"/>\n  </devices>\n  <qemu:commandline>\n    <qemu:env name="TMPDIR" value="/var/tmp"/>\n  </qemu:commandline>\n</domain>\n
libguestfs: trace: get_cachedir
libguestfs: trace: get_cachedir = "/var/tmp"
libguestfs: command: run: ls
libguestfs: command: run: \ -a
libguestfs: command: run: \ -l
libguestfs: command: run: \ -R
libguestfs: command: run: \ -Z /var/tmp/.guestfs-0
libguestfs: /var/tmp/.guestfs-0:
libguestfs: drwxr-xr-x  root root ?                                .
libguestfs: drwxrwxrwt. root root system_u:object_r:tmp_t:s0       ..
libguestfs: drwxr-xr-x  root root ?                                appliance.d
libguestfs: -rw-r--r--  root root ?                                lock
libguestfs:
libguestfs: /var/tmp/.guestfs-0/appliance.d:
libguestfs: drwxr-xr-x root root ?                                .
libguestfs: drwxr-xr-x root root ?                                ..
libguestfs: -rw-r--r-- root root ?                                initrd
libguestfs: -rwxr-xr-x root root ?                                kernel
libguestfs: -rw-r--r-- root root ?                                root
libguestfs: command: run: ls
libguestfs: command: run: \ -a
libguestfs: command: run: \ -l
libguestfs: command: run: \ -Z /tmp/libguestfsCWFzsx
libguestfs: drwxr-xr-x  root root ?                                .
libguestfs: drwxrwxrwt. root root system_u:object_r:tmp_t:s0       ..
libguestfs: srw-rw----  root qemu ?                                console.sock
libguestfs: srw-rw----  root qemu ?                                guestfsd.sock
libguestfs: launch libvirt guest
libguestfs: responding to serial console Device Status Report
\x1b[1;256r\x1b[256;256H\x1b[6n
Google, Inc.
Serial Graphics Adapter 06/09/14
SGABIOS $Id: sgabios.S 8 2010-04-22 00:03:40Z nlaredo $ (mockbuild@) Mon Jun  9 21:33:48 UTC 2014
Term: 80x24
4 0
SeaBIOS (version 1.11.0-2.el7)
Machine UUID 2ad5ab44-58d4-4802-ab7d-31f7cf221d06
Booting from ROM...
\x1b[2J[    0.000000] Initializing cgroup subsys cpuset
[    0.000000] Initializing cgroup subsys cpu
[    0.000000] Initializing cgroup subsys cpuacct
[    0.000000] Linux version 3.10.0-327.4.5.el7.x86_64 (builder@kbuilder.dev.centos.org) (gcc version 4.8.3 20140911 (Red Hat 4.8.3-9) (GCC) ) #1 SMP Mon Jan 25 22:07:14 UTC 2016
[    0.000000] Command line: panic=1 console=ttyS0 edd=off udevtimeout=6000 udev.event-timeout=6000 no_timer_check printk.time=1 cgroup_disable=memory usbcore.nousb cryptomgr.notests tsc=reliable 8250.nr_uarts=1 root=/dev/sdb selinux=0 guestfs_verbose=1 TERM=screen
[    0.000000] e820: BIOS-provided physical RAM map:
[    0.000000] BIOS-e820: [mem 0x0000000000000000-0x000000000009f7ff] usable
[    0.000000] BIOS-e820: [mem 0x000000000009f800-0x000000000009ffff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000000f0000-0x00000000000fffff] reserved
[    0.000000] BIOS-e820: [mem 0x0000000000100000-0x000000001f3fdfff] usable
[    0.000000] BIOS-e820: [mem 0x000000001f3fe000-0x000000001f3fffff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000feffc000-0x00000000feffffff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fffc0000-0x00000000ffffffff] reserved
[    0.000000] NX (Execute Disable) protection: active
[    0.000000] SMBIOS 2.8 present.
[    0.000000] Hypervisor detected: KVM
[    0.000000] AGP: No AGP bridge found
[    0.000000] e820: last_pfn = 0x1f3fe max_arch_pfn = 0x400000000
[    0.000000] x86 PAT enabled: cpu 0, old 0x7040600070406, new 0x7010600070106
[    0.000000] found SMP MP-table at [mem 0x000f63b0-0x000f63bf] mapped at [ffff8800000f63b0]
[    0.000000] Using GB pages for direct mapping
[    0.000000] init_memory_mapping: [mem 0x00000000-0x000fffff]
[    0.000000] init_memory_mapping: [mem 0x1ee00000-0x1effffff]
[    0.000000] init_memory_mapping: [mem 0x1c000000-0x1edfffff]
[    0.000000] init_memory_mapping: [mem 0x00100000-0x1bffffff]
[    0.000000] init_memory_mapping: [mem 0x1f000000-0x1f3fdfff]
[    0.000000] RAMDISK: [mem 0x1f137000-0x1f3effff]
[    0.000000] ACPI BIOS Error (bug): A valid RSDP was not found (20130517/tbxfroot-218)
[    0.000000] No NUMA configuration found
[    0.000000] Faking a node at [mem 0x0000000000000000-0x000000001f3fdfff]
[    0.000000] Initmem setup node 0 [mem 0x00000000-0x1f3fdfff]
[    0.000000]   NODE_DATA [mem 0x1f110000-0x1f136fff]
[    0.000000] kvm-clock: Using msrs 4b564d01 and 4b564d00
[    0.000000] kvm-clock: cpu 0, msr 0:1f0c0001, primary cpu clock
[    0.000000] kvm-clock: using sched offset of 2067005540 cycles
[    0.000000] Zone ranges:
[    0.000000]   DMA      [mem 0x00001000-0x00ffffff]
[    0.000000]   DMA32    [mem 0x01000000-0xffffffff]
[    0.000000]   Normal   empty
[    0.000000] Movable zone start for each node
[    0.000000] Early memory node ranges
[    0.000000]   node   0: [mem 0x00001000-0x0009efff]
[    0.000000]   node   0: [mem 0x00100000-0x1f3fdfff]
[    0.000000] SFI: Simple Firmware Interface v0.81 http://simplefirmware.org
[    0.000000] Intel MultiProcessor Specification v1.4
[    0.000000] MPTABLE: OEM ID: BOCHSCPU
[    0.000000] MPTABLE: Product ID: 0.1
[    0.000000] MPTABLE: APIC at: 0xFEE00000
[    0.000000] Processor #0 (Bootup-CPU)
[    0.000000] IOAPIC[0]: apic_id 0, version 17, address 0xfec00000, GSI 0-23
[    0.000000] Processors: 1
[    0.000000] smpboot: Allowing 1 CPUs, 0 hotplug CPUs
[    0.000000] PM: Registered nosave memory: [mem 0x0009f000-0x0009ffff]
[    0.000000] PM: Registered nosave memory: [mem 0x000a0000-0x000effff]
[    0.000000] PM: Registered nosave memory: [mem 0x000f0000-0x000fffff]
[    0.000000] e820: [mem 0x1f400000-0xfeffbfff] available for PCI devices
[    0.000000] Booting paravirtualized kernel on KVM
[    0.000000] setup_percpu: NR_CPUS:5120 nr_cpumask_bits:1 nr_cpu_ids:1 nr_node_ids:1
[    0.000000] PERCPU: Embedded 31 pages/cpu @ffff88001ee00000 s87168 r8192 d31616 u2097152
[    0.000000] KVM setup async PF for cpu 0
[    0.000000] kvm-stealtime: cpu 0, msr 1ee0d240
[    0.000000] Built 1 zonelists in Node order, mobility grouping on.  Total pages: 125879
[    0.000000] Policy zone: DMA32
[    0.000000] Kernel command line: panic=1 console=ttyS0 edd=off udevtimeout=6000 udev.event-timeout=6000 no_timer_check printk.time=1 cgroup_disable=memory usbcore.nousb cryptomgr.notests tsc=reliable 8250.nr_uarts=1 root=/dev/sdb selinux=0 guestfs_verbose=1 TERM=screen
[    0.000000] Disabling memory control group subsystem
[    0.000000] PID hash table entries: 2048 (order: 2, 16384 bytes)
[    0.000000] x86/fpu: xstate_offset[2]: 0240, xstate_sizes[2]: 0100
[    0.000000] xsave: enabled xstate_bv 0x7, cntxt size 0x340
[    0.000000] AGP: Checking aperture...
[    0.000000] AGP: No AGP bridge found
[    0.000000] Memory: 484116k/511992k available (6440k kernel code, 392k absent, 27484k reserved, 4266k data, 1620k init)
[    0.000000] SLUB: HWalign=64, Order=0-3, MinObjects=0, CPUs=1, Nodes=1
[    0.000000] Hierarchical RCU implementation.
[    0.000000] \tRCU restricting CPUs from NR_CPUS=5120 to nr_cpu_ids=1.
[    0.000000] \tOffload RCU callbacks from all CPUs
[    0.000000] \tOffload RCU callbacks from CPUs: 0.
[    0.000000] NR_IRQS:327936 nr_irqs:256 0
[    0.000000] Console: colour *CGA 80x25
[    0.000000] console [ttyS0] enabled
[    0.000000] tsc: Detected 2099.998 MHz processor
[    0.517576] Calibrating delay loop (skipped) preset value.. 4199.99 BogoMIPS (lpj=2099998)
[    0.518926] pid_max: default: 32768 minimum: 301
[    0.519698] Security Framework initialized
[    0.520372] SELinux:  Disabled at boot.
[    0.521162] Dentry cache hash table entries: 65536 (order: 7, 524288 bytes)
[    0.522917] Inode-cache hash table entries: 32768 (order: 6, 262144 bytes)
[    0.524104] Mount-cache hash table entries: 4096
[    0.525125] Initializing cgroup subsys memory
[    0.525887] Initializing cgroup subsys devices
[    0.526613] Initializing cgroup subsys freezer
[    0.527328] Initializing cgroup subsys net_cls
[    0.528086] Initializing cgroup subsys blkio
[    0.528790] Initializing cgroup subsys perf_event
[    0.529538] Initializing cgroup subsys hugetlb
[    0.531355] mce: CPU supports 10 MCE banks
[    0.532090] Last level iTLB entries: 4KB 0, 2MB 0, 4MB 0
[    0.532090] Last level dTLB entries: 4KB 0, 2MB 0, 4MB 0
[    0.532090] tlb_flushall_shift: 6
[    0.557613] Freeing SMP alternatives: 28k freed
[    0.563171] ftrace: allocating 24585 entries in 97 pages
[    0.602860] Enabling x2apic
[    0.603360] Enabled x2apic
[    0.604095] Switched APIC routing to physical x2apic.
[    0.606131] ..TIMER: vector=0x30 apic1=0 pin1=2 apic2=-1 pin2=-1
[    0.607070] smpboot: CPU0: Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz (fam: 06, model: 3e, stepping: 04)
[    0.608607] Performance Events: 16-deep LBR, IvyBridge events, Intel PMU driver.
[    0.611451] ... version:                2
[    0.612083] ... bit width:              48
[    0.612714] ... generic registers:      4
[    0.613336] ... value mask:             0000ffffffffffff
[    0.614153] ... max period:             000000007fffffff
[    0.614956] ... fixed-purpose events:   3
[    0.615591] ... event mask:             000000070000000f
[    0.619594] KVM setup paravirtual spinlock
[    0.621829] Brought up 1 CPUs
[    0.622324] smpboot: Total of 1 processors activated (4199.99 BogoMIPS)
[    0.623776] NMI watchdog: disabled (cpu0): hardware events not enabled
[    0.624902] devtmpfs: initialized
[    0.627969] EVM: security.selinux
[    0.628495] EVM: security.ima
[    0.628966] EVM: security.capability
[    0.630625] atomic64 test passed for x86-64 platform with CX8 and with SSE
[    0.631845] NET: Registered protocol family 16
[    0.633003] PCI: Using configuration type 1 for base access
[    0.634850] ACPI: Interpreter disabled.
[    0.635548] vgaarb: loaded
[    0.636092] SCSI subsystem initialized
[    0.636745] usbcore: registered new interface driver usbfs
[    0.637603] usbcore: registered new interface driver hub
[    0.638449] usbcore: registered new device driver usb
[    0.639325] PCI: Probing PCI hardware
[    0.639939] PCI host bridge to bus 0000:00
[    0.640582] pci_bus 0000:00: root bus resource [io  0x0000-0xffff]
[    0.641530] pci_bus 0000:00: root bus resource [mem 0x00000000-0x3fffffffffff]
[    0.642642] pci_bus 0000:00: No busn resource found for root bus, will use [bus 00-ff]
[    0.650764] pci 0000:00:01.1: legacy IDE quirk: reg 0x10: [io  0x01f0-0x01f7]
[    0.651867] pci 0000:00:01.1: legacy IDE quirk: reg 0x14: [io  0x03f6]
[    0.652848] pci 0000:00:01.1: legacy IDE quirk: reg 0x18: [io  0x0170-0x0177]
[    0.653931] pci 0000:00:01.1: legacy IDE quirk: reg 0x1c: [io  0x0376]
[    0.694264] pci 0000:00:01.0: PIIX/ICH IRQ router [8086:7000]
[    0.695484] NetLabel: Initializing
[    0.696025] NetLabel:  domain hash size = 128
[    0.696785] NetLabel:  protocols = UNLABELED CIPSOv4
[    0.697565] NetLabel:  unlabeled traffic allowed by default
[    0.698507] Switching to clocksource kvm-clock
[    0.712500] pnp: PnP ACPI: disabled
[    0.714528] NET: Registered protocol family 2
[    0.715420] TCP established hash table entries: 4096 (order: 3, 32768 bytes)
[    0.716534] TCP bind hash table entries: 4096 (order: 4, 65536 bytes)
[    0.717538] TCP: Hash tables configured (established 4096 bind 4096)
[    0.718617] TCP: reno registered
[    0.719138] UDP hash table entries: 256 (order: 1, 8192 bytes)
[    0.720048] UDP-Lite hash table entries: 256 (order: 1, 8192 bytes)
[    0.721140] NET: Registered protocol family 1
[    0.721960] pci 0000:00:00.0: Limiting direct PCI/PCI transfers
[    0.722999] pci 0000:00:01.0: PIIX3: Enabling Passive Release
[    0.723912] pci 0000:00:01.0: Activating ISA DMA hang workarounds
[    0.725016] Unpacking initramfs...
[    0.847465] Freeing initrd memory: 2788k freed
[    0.849156] platform rtc_cmos: registered platform RTC device (no PNP device found)
[    0.850983] microcode: CPU0 sig=0x306e4, pf=0x1, revision=0x1
[    0.851930] microcode: Microcode Update Driver: v2.00 <tigran@aivazian.fsnet.co.uk>, Peter Oruba
[    0.853438] sha1_ssse3: Using AVX optimized SHA-1 implementation
[    0.854512] sha256_ssse3: Using AVX optimized SHA-256 implementation
[    0.855758] futex hash table entries: 256 (order: 2, 16384 bytes)
[    0.856775] Initialise system trusted keyring
[    0.857579] audit: initializing netlink socket (disabled)
[    0.858453] type=2000 audit(1532691802.357:1): initialized
[    0.886402] HugeTLB registered 1 GB page size, pre-allocated 0 pages
[    0.887426] HugeTLB registered 2 MB page size, pre-allocated 0 pages
[    0.889779] zpool: loaded
[    0.890220] zbud: loaded
[    0.890864] VFS: Disk quotas dquot_6.5.2
[    0.891576] Dquot-cache hash table entries: 512 (order 0, 4096 bytes)
[    0.892829] msgmni has been set to 951
[    0.893529] Key type big_key registered
[    0.894739] NET: Registered protocol family 38
[    0.895464] Key type asymmetric registered
[    0.896165] Asymmetric key parser 'x509' registered
[    0.897003] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 251)
[    0.898219] io scheduler noop registered
[    0.898889] io scheduler deadline registered (default)
[    0.899748] io scheduler cfq registered
[    0.900482] pci_hotplug: PCI Hot Plug PCI Core version: 0.5
[    0.901378] pciehp: PCI Express Hot Plug Controller Driver version: 0.4
[    0.902642] Serial: 8250/16550 driver, 1 ports, IRQ sharing enabled
[    0.928905] serial8250: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
[    0.930289] Non-volatile memory driver v1.3
[    0.931004] Linux agpgart interface v0.103
[    0.931806] crash memory driver: version 1.1
[    0.932533] rdac: device handler registered
[    0.933272] hp_sw: device handler registered
[    0.934029] emc: device handler registered
[    0.934699] alua: device handler registered
[    0.935433] libphy: Fixed MDIO Bus: probed
[    0.936203] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[    0.937259] ehci-pci: EHCI PCI platform driver
[    0.938009] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
[    0.938993] ohci-pci: OHCI PCI platform driver
[    0.940697] uhci_hcd: USB Universal Host Controller Interface driver
[    0.942003] usbcore: registered new interface driver usbserial
[    0.942930] usbcore: registered new interface driver usbserial_generic
[    0.943977] usbserial: USB Serial support registered for generic
[    0.944938] i8042: PNP: No PS/2 controller found. Probing ports directly.
[    0.946912] serio: i8042 KBD port at 0x60,0x64 irq 1
[    0.947715] serio: i8042 AUX port at 0x60,0x64 irq 12
[    0.948642] mousedev: PS/2 mouse device common for all mice
[    0.949901] input: AT Translated Set 2 keyboard as /devices/platform/i8042/serio0/input/input0
[    0.954163] rtc_cmos rtc_cmos: rtc core: registered rtc_cmos as rtc0
[    0.955307] rtc_cmos rtc_cmos: alarms up to one day, 114 bytes nvram
[    0.956644] cpuidle: using governor menu
[    0.957630] hidraw: raw HID events driver (C) Jiri Kosina
[    0.958742] usbcore: registered new interface driver usbhid
[    0.959660] usbhid: USB HID core driver
[    0.960318] drop_monitor: Initializing network drop monitor service
[    0.961536] TCP: cubic registered
[    0.962072] Initializing XFRM netlink socket
[    0.962894] NET: Registered protocol family 10
[    0.963988] NET: Registered protocol family 17
[    0.965013] Loading compiled-in X.509 certificates
[    0.965834] Loaded X.509 cert 'CentOS Linux kpatch signing key: ea0413152cde1d98ebdca3fe6f0230904c9ef717'
[    0.967350] Loaded X.509 cert 'CentOS Linux Driver update signing key: 7f421ee0ab69461574bb358861dbe77762a4201b'
[    0.969591] Loaded X.509 cert 'CentOS Linux kernel signing key: 105da13dcaaa74ae500017e7d52cda9b7cc51093'
[    0.971153] registered taskstats version 1
[    0.972252] Key type trusted registered
[    0.973233] Key type encrypted registered
[    0.974166] IMA: No TPM chip found, activating TPM-bypass!
[    0.975851] rtc_cmos rtc_cmos: setting system clock to 2018-07-27 11:43:22 UTC (1532691802)
[    0.978311] Freeing unused kernel memory: 1620k freed
supermin: mounting /proc
supermin: ext2 mini initrd starting up: 5.1.19 glibc
supermin: cmdline: panic=1 console=ttyS0 edd=off udevtimeout=6000 udev.event-timeout=6000 no_timer_check printk.time=1 cgroup_disable=memory usbcore.nousb cryptomgr.notests tsc=reliable 8250.nr_uarts=1 root=/dev/sdb selinux=0 guestfs_verbose=1 TERM=screen
supermin: uptime: 0.41 0.05
supermin: mounting /sys
supermin: internal insmod crc32-pclmul.ko
[    0.986251] alg: No test for crc32 (crc32-pclmul)
supermin: internal insmod crc32c-intel.ko
supermin: internal insmod crct10dif_common.ko
supermin: internal insmod crct10dif-pclmul.ko
supermin: internal insmod crc32.ko
[    0.992421] alg: No test for crc32 (crc32-table)
supermin: internal insmod crct10dif_generic.ko
supermin: internal insmod libata.ko
supermin: internal insmod ata_piix.ko
[    1.067597] scsi host0: ata_piix
[    1.068277] scsi host1: ata_piix
[    1.068849] ata1: PATA max MWDMA2 cmd 0x1f0 ctl 0x3f6 bmdma 0xc080 irq 14
[    1.069946] ata2: PATA max MWDMA2 cmd 0x170 ctl 0x376 bmdma 0xc088 irq 15
supermin: internal insmod virtio.ko
supermin: internal insmod virtio_ring.ko
supermin: internal insmod virtio_blk.ko
supermin: internal insmod virtio-rng.ko
supermin: internal insmod virtio_console.ko
supermin: internal insmod virtio_net.ko
supermin: internal insmod crc-t10dif.ko
supermin: internal insmod sd_mod.ko
supermin: internal insmod virtio_scsi.ko
supermin: internal insmod virtio_balloon.ko
supermin: internal insmod virtio_input.ko
supermin: internal insmod virtio_pci.ko
[    1.241845] virtio-pci 0000:00:02.0: PCI->APIC IRQ transform: INT A -> IRQ 24
[    1.245797] scsi host2: Virtio SCSI HBA
[    1.247252] scsi 2:0:0:0: Direct-Access     QEMU     QEMU HARDDISK    2.5+ PQ: 0 ANSI: 5
[    1.248541] virtio-pci 0000:00:03.0: PCI->APIC IRQ transform: INT A -> IRQ 25
[    1.253695] scsi 2:0:1:0: Direct-Access     QEMU     QEMU HARDDISK    2.5+ PQ: 0 ANSI: 5
[    1.280940] virtio-pci 0000:00:04.0: PCI->APIC IRQ transform: INT A -> IRQ 25
[    1.299721] sd 2:0:0:0: [sda] 204800 512-byte logical blocks: (104 MB/100 MiB)
[    1.301547] sd 2:0:1:0: [sdb] 8388608 512-byte logical blocks: (4.29 GB/4.00 GiB)
[    1.302806] sd 2:0:0:0: [sda] Write Protect is off
[    1.303789] sd 2:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[    1.305472] sd 2:0:1:0: [sdb] Write Protect is off
[    1.306380] sd 2:0:1:0: [sdb] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[    1.331617]  sda: unknown partition table
[    1.332346]  sdb: unknown partition table
[    1.334028] sd 2:0:0:0: [sda] Attached SCSI disk
[    1.334940] sd 2:0:1:0: [sdb] Attached SCSI disk
supermin: internal insmod jbd2.ko
supermin: internal insmod mbcache.ko
supermin: internal insmod ext4.ko
supermin: internal insmod crc-ccitt.ko
supermin: internal insmod crc-itu-t.ko
supermin: internal insmod crc8.ko
supermin: internal insmod libcrc32c.ko
supermin: picked /sys/block/sdb/dev (8:16) as root device
supermin: creating /dev/root as block special 8:16
supermin: mounting new root on /root
[    1.405918] EXT4-fs (sdb): mounting ext2 file system using the ext4 subsystem
[    1.409684] EXT4-fs (sdb): mounted filesystem without journal. Opts:
supermin: deleting initramfs files
supermin: chroot
[    1.422085] init[1]: segfault at 0 ip 00007f5b4c215f80 sp 00007fff861d3950 error 4 in libc-2.17.so[7f5b4c1a7000+1c3000]
[    1.424111] Kernel panic - not syncing: Attempted to kill init! exitcode=0x0000000b
[    1.424111]
[    1.425501] CPU: 0 PID: 1 Comm: init Not tainted 3.10.0-327.4.5.el7.x86_64 #1
[    1.426586] Hardware name: Red Hat KVM, BIOS 1.11.0-2.el7 04/01/2014
[    1.427566]  ffffffff818614a0 00000000924aefc8 ffff88001e9c3c60 ffffffff8163515c
[    1.428890]  ffff88001e9c3ce0 ffffffff8162e9d7 ffffffff00000010 ffff88001e9c3cf0
[    1.430187]  ffff88001e9c3c90 00000000924aefc8 ffffffff81dd98c0 000000000000000b
[    1.431415] Call Trace:
[    1.431807]  [<ffffffff8163515c>] dump_stack+0x19/0x1b
[    1.432604]  [<ffffffff8162e9d7>] panic+0xd8/0x1e7
[    1.433354]  [<ffffffff81081d74>] do_exit+0xa54/0xa60
[    1.434184]  [<ffffffff8108f593>] ? __sigqueue_free.part.11+0x33/0x40
[    1.435193]  [<ffffffff81081dff>] do_group_exit+0x3f/0xa0
[    1.436029]  [<ffffffff81092c10>] get_signal_to_deliver+0x1d0/0x6d0
[    1.436998]  [<ffffffff81014417>] do_signal+0x57/0x6c0
[    1.437782]  [<ffffffff81640f95>] ? __do_page_fault+0x345/0x450
[    1.438752]  [<ffffffff81014adf>] do_notify_resume+0x5f/0xb0
[    1.439630]  [<ffffffff8163d17c>] retint_signal+0x48/0x8c
[    1.440492] Rebooting in 1 seconds..libguestfs: error: appliance closed the connection unexpectedly, see earlier error messages
libguestfs: child_cleanup: 0x7f5ab60c7bb0: child process died
libguestfs: error: guestfs_launch failed, see earlier error messages
libguestfs: clear_socket_create_context: setsockcreatecon failed: NULL: Invalid argument [you can ignore this message if you are not using SELinux + sVirt]
libguestfs: trace: launch = -1 (error)
libguestfs: trace: close
libguestfs: closing guestfs handle 0x7f5ab60c7bb0 (state 0)
libguestfs: command: run: rm
libguestfs: command: run: \ -rf /tmp/libguestfsbumi5r
libguestfs: command: run: rm
libguestfs: command: run: \ -rf /tmp/libguestfsCWFzsx
[root@rg1-ceph1 /data]#

Comment 12 Richard W.M. Jones 2018-07-27 12:05:46 UTC
I don't know, suggest looking at comments 5-7 again.  You could also
try compiling your own qemu and using that.

Comment 13 zhujinhe 2018-07-27 13:08:58 UTC
This does fix the problem.
(2) Download a pre-built appliance from
http://download.libguestfs.org/binaries/appliance/appliance-1.36.1.tar.xz
unpack it somewhere, set LIBGUESTFS_PATH to point to that directory
and run libguestfs-test-tool.  Does this fix it?

Thanks so much Richard W.M. Jones.

Comment 14 Richard W.M. Jones 2018-08-09 07:12:21 UTC
Closing since the reporter found a workaround but we never
got to the bottom of why it is broken in the first place.


Note You need to log in before you can comment on or make changes to this bug.